Mail archive
alpine-aports

[alpine-aports] [PATCH] main/dpkg: upgrade to 1.18.4

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Wed, 30 Dec 2015 21:58:12 +0100

---
 main/dpkg/APKBUILD | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)
diff --git a/main/dpkg/APKBUILD b/main/dpkg/APKBUILD
index 3b32edf..6d17a4b 100644
--- a/main/dpkg/APKBUILD
+++ b/main/dpkg/APKBUILD
_at_@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=dpkg
-pkgver=1.18.3
+pkgver=1.18.4
 pkgrel=0
 pkgdesc="The Debian Package Manager"
 url="http://packages.debian.org/dpkg"
_at_@ -21,7 +21,11 @@ prepare() {
 build() {
 	cd "$_builddir"
 	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
 		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
 		--localstatedir=/var \
 		--with-zlib \
 		--with-bzip2 \
_at_@ -57,11 +61,12 @@ dev() {
 		"$pkgdir"/usr/bin/dpkg-shlibdeps \
 		"$pkgdir"/usr/bin/dpkg-source \
 		"$pkgdir"/usr/bin/dpkg-vendor \
-		"$subpkgdir"/usr/bin/
+		"$subpkgdir"/usr/bin/ || return 1
+
 	mv "$pkgdir"/usr/share/perl* "$subpkgdir"/usr/share/
 	mv "$pkgdir"/usr/lib/dpkg/parsechangelog "$subpkgdir"/usr/lib/dpkg/
 }
 
-md5sums="a5ca138121cc37c8fb0083462a3b4d47  dpkg_1.18.3.tar.xz"
-sha256sums="a40ffe38d7f36d858a752189a306433cfc52c7d15d7b98f61d9f9dd49e0e4807  dpkg_1.18.3.tar.xz"
-sha512sums="f9f06b7b629b88504a219d48f3d041e72fb41468bc9d7bba59a255660bf0d169b050ce816d4ddbee8da85ac3901e55cfc4301eadf94d42ab6038dcacde89f8fc  dpkg_1.18.3.tar.xz"
+md5sums="e95b513c89693f6ec3ab53b6b1c3defd  dpkg_1.18.4.tar.xz"
+sha256sums="fe89243868888ce715bf45861f26264f767d4e4dbd0d6f1a26ce60bbbbf106da  dpkg_1.18.4.tar.xz"
+sha512sums="047a1b38b685d48557aaf8baa847042d7b4ef38de1bcc069108a7b12f29fd84c16caccaeb79c9a1f6445ea8a3327f5d81ff692dfadd0151a0c8e2ed4e24b5f45  dpkg_1.18.4.tar.xz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Dec 30 2015 - 21:58:12 GMT